LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XDataEditorListener Interface Referencepublished

makes it possible to receive status change events from an XDataEditor. More...

`import"XDataEditorListener.idl";`

Inheritance diagram for XDataEditorListener:

## Public Member Functions
void | updateDataEditorState ([in] DataEditorEvent event)
| is called when the state of a connected XDataEditor changes. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive status change events from an XDataEditor.

## Member Function Documentation

## ◆ updateDataEditorState()

void updateDataEditorState | ( | [in] DataEditorEvent | event | ) |

is called when the state of a connected XDataEditor changes.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XDataEditorListener.idl